ISISMTTObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.isismtt

## Interface ISISMTTObjectIdentifiers

-     public interface ISISMTTObjectIdentifiers

  ISISMT -- Industrial Signature Interoperability Specification

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `id_isismtt` 1.3.36.8
    `static ASN1ObjectIdentifier` | `id_isismtt_at` 1.3.36.8.3
    `static ASN1ObjectIdentifier` | `id_isismtt_at_additionalInformation` Some other information of non-restrictive nature regarding the usage of this certificate.
    `static ASN1ObjectIdentifier` | `id_isismtt_at_admission` Attribute to indicate admissions to certain professions.
    `static ASN1ObjectIdentifier` | `id_isismtt_at_certHash` Hash of a certificate in OCSP.
    `static ASN1ObjectIdentifier` | `id_isismtt_at_certInDirSince` SingleOCSPResponse extension: Date, when certificate has been published in the directory and status information has become available.
    `static ASN1ObjectIdentifier` | `id_isismtt_at_dateOfCertGen` Certificate extensionDate of certificate generation DateOfCertGenSyntax ::= GeneralizedTime OID: 1.3.36.8.3.1
    `static ASN1ObjectIdentifier` | `id_isismtt_at_declarationOfMajority` A declaration of majority.
    `static ASN1ObjectIdentifier` | `id_isismtt_at_iCCSN` Serial number of the smart card containing the corresponding private key ICCSNSyntax ::= OCTET STRING (SIZE(8..20)) OID: 1.3.36.8.3.6
    `static ASN1ObjectIdentifier` | `id_isismtt_at_liabilityLimitationFlag` Indicates that an attribute certificate exists, which limits the usability of this public key certificate.
    `static ASN1ObjectIdentifier` | `id_isismtt_at_monetaryLimit` Monetary limit for transactions.
    `static ASN1ObjectIdentifier` | `id_isismtt_at_nameAtBirth` NameAtBirth ::= DirectoryString(SIZE(1..64) Used in `SubjectDirectoryAttributes` OID: 1.3.36.8.3.14
    `static ASN1ObjectIdentifier` | `id_isismtt_at_namingAuthorities` Base ObjectIdentifier for naming authorities OID: 1.3.36.8.3.11
    `static ASN1ObjectIdentifier` | `id_isismtt_at_PKReference` Reference for a file of a smartcard that stores the public key of this certificate and that is used as "security anchor".
    `static ASN1ObjectIdentifier` | `id_isismtt_at_procuration` Attribute to indicate that the certificate holder may sign in the name of a third person.
    `static ASN1ObjectIdentifier` | `id_isismtt_at_requestedCertificate` SingleOCSPResponse extension: The certificate requested by the client by inserting the RetrieveIfAllowed extension in the request, will be returned in this extension.
    `static ASN1ObjectIdentifier` | `id_isismtt_at_restriction` Some other restriction regarding the usage of this certificate.
    `static ASN1ObjectIdentifier` | `id_isismtt_at_retrieveIfAllowed` (Single)Request extension: Clients may include this extension in a (single) Request to request the responder to send the certificate in the response message along with the status information.
    `static ASN1ObjectIdentifier` | `id_isismtt_cp` 1.3.36.8.1
    `static ASN1ObjectIdentifier` | `id_isismtt_cp_accredited` The id-isismtt-cp-accredited OID indicates that the certificate is a qualified certificate according to Directive 1999/93/EC of the European Parliament and of the Council of 13 December 1999 on a Community Framework for Electronic Signatures, which additionally conforms the special requirements of the SigG and has been issued by an accredited CA.

- - ### Field Detail

    - #### id_isismtt

          static final ASN1ObjectIdentifier id_isismtt

      1.3.36.8

    - #### id_isismtt_cp

          static final ASN1ObjectIdentifier id_isismtt_cp

      1.3.36.8.1

    - #### id_isismtt_cp_accredited

          static final ASN1ObjectIdentifier id_isismtt_cp_accredited

      The id-isismtt-cp-accredited OID indicates that the certificate is a qualified certificate according to Directive 1999/93/EC of the European Parliament and of the Council of 13 December 1999 on a Community Framework for Electronic Signatures, which additionally conforms the special requirements of the SigG and has been issued by an accredited CA.

      1.3.36.8.1.1

    - #### id_isismtt_at

          static final ASN1ObjectIdentifier id_isismtt_at

      1.3.36.8.3

    - #### id_isismtt_at_dateOfCertGen

          static final ASN1ObjectIdentifier id_isismtt_at_dateOfCertGen

      Certificate extensionDate of certificate generation

               DateOfCertGenSyntax ::= GeneralizedTime

      OID: 1.3.36.8.3.1

    - #### id_isismtt_at_procuration

          static final ASN1ObjectIdentifier id_isismtt_at_procuration

      Attribute to indicate that the certificate holder may sign in the name of a third person. May also be used as extension in a certificate.

      OID: 1.3.36.8.3.2

    - #### id_isismtt_at_admission

          static final ASN1ObjectIdentifier id_isismtt_at_admission

      Attribute to indicate admissions to certain professions. May be used as attribute in attribute certificate or as extension in a certificate

      OID: 1.3.36.8.3.3

    - #### id_isismtt_at_monetaryLimit

          static final ASN1ObjectIdentifier id_isismtt_at_monetaryLimit

      Monetary limit for transactions. The QcEuMonetaryLimit QC statement MUST be used in new certificates in place of the extension/attribute MonetaryLimit since January 1, 2004. For the sake of backward compatibility with certificates already in use, SigG conforming components MUST support MonetaryLimit (as well as QcEuLimitValue).

      OID: 1.3.36.8.3.4

    - #### id_isismtt_at_declarationOfMajority

          static final ASN1ObjectIdentifier id_isismtt_at_declarationOfMajority

      A declaration of majority. May be used as attribute in attribute certificate or as extension in a certificate

      OID: 1.3.36.8.3.5

    - #### id_isismtt_at_iCCSN

          static final ASN1ObjectIdentifier id_isismtt_at_iCCSN

      Serial number of the smart card containing the corresponding private key

              ICCSNSyntax ::= OCTET STRING (SIZE(8..20))

      OID: 1.3.36.8.3.6

    - #### id_isismtt_at_PKReference

          static final ASN1ObjectIdentifier id_isismtt_at_PKReference

      Reference for a file of a smartcard that stores the public key of this certificate and that is used as "security anchor".

              PKReferenceSyntax ::= OCTET STRING (SIZE(20))

      OID: 1.3.36.8.3.7

    - #### id_isismtt_at_restriction

          static final ASN1ObjectIdentifier id_isismtt_at_restriction

      Some other restriction regarding the usage of this certificate. May be used as attribute in attribute certificate or as extension in a certificate.

              RestrictionSyntax ::= DirectoryString (SIZE(1..1024))

      OID: 1.3.36.8.3.8

      See Also:
        `Restriction`

    - #### id_isismtt_at_retrieveIfAllowed

          static final ASN1ObjectIdentifier id_isismtt_at_retrieveIfAllowed

      (Single)Request extension: Clients may include this extension in a (single) Request to request the responder to send the certificate in the response message along with the status information. Besides the LDAP service, this extension provides another mechanism for the distribution of certificates, which MAY optionally be provided by certificate repositories.

              RetrieveIfAllowed ::= BOOLEAN

      OID: 1.3.36.8.3.9

    - #### id_isismtt_at_requestedCertificate

          static final ASN1ObjectIdentifier id_isismtt_at_requestedCertificate

      SingleOCSPResponse extension: The certificate requested by the client by inserting the RetrieveIfAllowed extension in the request, will be returned in this extension.

      OID: 1.3.36.8.3.10

      See Also:
        `RequestedCertificate`

    - #### id_isismtt_at_namingAuthorities

          static final ASN1ObjectIdentifier id_isismtt_at_namingAuthorities

      Base ObjectIdentifier for naming authorities

      OID: 1.3.36.8.3.11

    - #### id_isismtt_at_certInDirSince

          static final ASN1ObjectIdentifier id_isismtt_at_certInDirSince

      SingleOCSPResponse extension: Date, when certificate has been published in the directory and status information has become available. Currently, accrediting authorities enforce that SigG-conforming OCSP servers include this extension in the responses.

              CertInDirSince ::= GeneralizedTime

      OID: 1.3.36.8.3.12

    - #### id_isismtt_at_certHash

          static final ASN1ObjectIdentifier id_isismtt_at_certHash

      Hash of a certificate in OCSP.

      OID: 1.3.36.8.3.13

      See Also:
        `CertHash`

    - #### id_isismtt_at_nameAtBirth

          static final ASN1ObjectIdentifier id_isismtt_at_nameAtBirth

              NameAtBirth ::= DirectoryString(SIZE(1..64)

      Used in `SubjectDirectoryAttributes`

      OID: 1.3.36.8.3.14

    - #### id_isismtt_at_additionalInformation

          static final ASN1ObjectIdentifier id_isismtt_at_additionalInformation

      Some other information of non-restrictive nature regarding the usage of this certificate. May be used as attribute in atribute certificate or as extension in a certificate.

              AdditionalInformationSyntax ::= DirectoryString (SIZE(1..2048))

      OID: 1.3.36.8.3.15

      See Also:
        `AdditionalInformationSyntax`

    - #### id_isismtt_at_liabilityLimitationFlag

          static final ASN1ObjectIdentifier id_isismtt_at_liabilityLimitationFlag

      Indicates that an attribute certificate exists, which limits the usability of this public key certificate. Whenever verifying a signature with the help of this certificate, the content of the corresponding attribute certificate should be concerned. This extension MUST be included in a PKC, if a corresponding attribute certificate (having the PKC as base certificate) contains some attribute that restricts the usability of the PKC too. Attribute certificates with restricting content MUST always be included in the signed document.

              LiabilityLimitationFlagSyntax ::= BOOLEAN

      OID: 0.2.262.1.10.12.0